package ru.dbotthepony.kstarbound.world.entities.api

import ru.dbotthepony.kstarbound.defs.InteractAction
import ru.dbotthepony.kstarbound.defs.InteractRequest

// sigh
interface InteractiveEntity {
	val isInteractive: Boolean
		get() = false

	fun interact(request: InteractRequest): InteractAction {
		return InteractAction.NONE
	}
}
